from math import*

def F(x):
    if x<0:
        y=x
    else:
        y=(x+1)**2+4
    return y

def G(y):
    if y<0:
        x=y
    if y>=5:
        x=sqrt(y-4)-1
    if 0<=y<5:
        x="y n'a pas d'image"
    return x
